Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum AbstractMenuGroup.Facets

    java.lang.Object
      java.lang.Enum<AbstractMenuGroup.Facets>
          org.richfaces.component.AbstractMenuGroup.Facets

All Implemented Interfaces:
  Serializable, Comparable<AbstractMenuGroup.Facets>

Enclosing class:
  AbstractMenuGroup

    public static enum AbstractMenuGroup.Facets

extends Enum<AbstractMenuGroup.Facets>

Enum Constant Summary
`icon`
`iconDisabled`

Method Summary
`static AbstractMenuGroup.Facets` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AbstractMenuGroup.Facets[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### icon

    public static final AbstractMenuGroup.Facets icon

### iconDisabled

    public static final AbstractMenuGroup.Facets iconDisabled

Method Detail

### values

    public static AbstractMenuGroup.Facets[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AbstractMenuGroup.Facets c : AbstractMenuGroup.Facets.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AbstractMenuGroup.Facets valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.